title: EDSIGCON Courseware as Code Workshop Example 
description: This is a test of the Courseware as Code workshop 

###
# Deployment and template variables below
# No need to modify them in most cases
###
baseurl: "/$CI_PROJECT_NAME"
url: "https://$CI_PROJECT_NAMESPACE.gitlab.io"

# Footer "Edit this page on Gitlab" link text
gl_edit_repository: "https://gitlab.com/courseware-as-code/courseware-template" # the gitlab URL for your repo
gl_edit_link: true # show or hide edit this page link
gl_edit_link_text: "Contribute to this page using Gitlab"
gl_edit_repository: "$CI_PROJECT_URL" # the gitlab URL for your repo
gl_edit_branch: "main" # the branch that your docs is served from
gl_edit_view_mode: "edit" # "tree" or "edit" if you want the user to jump into the editor immediately

permalink: pretty
exclude: ["node_modules/", "*.gemspec", "*.gem", "Gemfile", "Gemfile.lock", "package.json", "package-lock.json",  "script/", "LICENSE.txt", "lib/", "bin/", "README.md", "Rakefile"
, "docs/tests/", "attached_files/slides_markdown", "vendor"
]

markdown: kramdown
kramdown:
  math_engine: mathjax

# Color scheme currently only supports "dark", "light"/nil (default), or a custom scheme that you define
color_scheme: nil

# Regression tests
# By default, the pages in /docs/tests are excluded when the ste is built.
# To include them, comment-out the relevant line above.
# Uncommenting the following line doesn't work - see https://github.com/jekyll/jekyll/issues/4791
# include: ["docs/tests/"]

# Set a path/url to a logo that will be displayed instead of the title
#logo: "/assets/images/just-the-docs.png"

# Enable or disable the site search
# Supports true (default) or false
search_enabled: true
search:
  # Split pages into sections that can be searched individually
  # Supports 1 - 6, default: 2
  heading_level: 2
  # Maximum amount of previews per search result
  # Default: 3
  previews: 2
  # Maximum amount of words to display before a matched word in the preview
  # Default: 5
  preview_words_before: 3
  # Maximum amount of words to display after a matched word in the preview
  # Default: 10
  preview_words_after: 3
  # Set the search token separator
  # Default: /[\s\-/]+/
  # Example: enable support for hyphenated search words
  tokenizer_separator: /[\s/]+/
  # Display the relative url in search results
  # Supports true (default) or false
  rel_url: true
  # Enable or disable the search button that appears in the bottom right corner of every page
  # Supports true or false (default)
  button: false

# Enable or disable heading anchors
heading_anchors: true

# Aux links for the upper right navigation
#aux_links:
#  "Just the Docs on GitHub":
#    - "//github.com/pmarsceill/just-the-docs"

# Makes Aux links open in a new tab. Default is false
aux_links_new_tab: false

# Sort order for navigation links
# nav_sort: case_insensitive # default, equivalent to nil
nav_sort: case_sensitive # Capital letters sorted before lowercase

# Footer content
# appears at the bottom of every page's main content

# Back to top link
back_to_top: true
back_to_top_text: "Back to top"

#footer_content: "Copyright &copy; 2017-2020 Patrick Marsceill. Distributed by an <a href=\"https://github.com/pmarsceill/just-the-docs/tree/master/LICENSE.txt\">MIT license.</a>"

# Footer last edited timestamp
last_edit_timestamp: true # show or hide edit time - page must have `last_modified_date` defined in the frontmatter
last_edit_time_format: "%b %e %Y at %I:%M %p" # uses ruby's time format: https://ruby-doc.org/stdlib-2.7.0/libdoc/time/rdoc/Time.html

plugins:
  - jekyll-seo-tag

kramdown:
  syntax_highlighter_opts:
    block:
      line_numbers: false

compress_html:
  clippings: all
  comments: all
  endings: all
  startings: []
  blanklines: false
  profile: false

defaults:
  - 
    scope:
      path: "" # an empty string here means all files in the project
    values:
      layout: "default"
